  .spinner-container {
    display: grid;
    grid-column: 1/11;
    place-items: center;
    width: 100%;
    height: 100%;
    padding-top: 8px;
    position: absolute;
    background-color: white;
    z-index: 10;
  }
  .spinner {
    border-top-color: var(--primary);
    border-left-color: var(--primary);
    animation: spinner 800ms linear infinite;
    border-bottom-color: transparent;
    border-right-color: transparent;
    border-style: solid;
    border-width: 2px;
    border-radius: 50%;
    height: 6rem;
    width: 6rem;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: middle;
  }

  @keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }